defmodule DediboxPricesWeb.PageController do
  use DediboxPricesWeb, :controller
  alias DediboxPrices.Entities.Offers

  def index(conn, _params) do
    recents = Offers.most_recents |> Enum.sort(fn (o1, o2) -> o1.price < o2.price end)
    render(conn, "index.html", recents: recents)
  end
end
